# Change Log

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

<a name="7.2.4"></a>
## [7.2.4](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v7.2.3...v7.2.4) (2018-03-27)


### Bug Fixes

* calculate time offset based on seekable range ([4ba6d21](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/4ba6d21))
* enable dvrseekbar in right time so live button is accessible ([b1eb657](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/b1eb657))
* prevent FF from showing dotted lines surrouded button ([3abfacd](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/3abfacd))



<a name="7.2.3"></a>
## [7.2.3](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v7.2.2...v7.2.3) (2018-02-27)



<a name="7.2.2"></a>
## [7.2.2](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v7.2.1...v7.2.2) (2017-12-25)


### Bug Fixes

* enable poster in playlist ([c3a0007](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/c3a0007))



<a name="7.2.1"></a>
## [7.2.1](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v7.2.0...v7.2.1) (2017-12-19)


### Bug Fixes

* correct wrong default-export statement ([a9ac9de](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/a9ac9de))
* remove default property. ([53624c6](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/53624c6))



<a name="7.2.0"></a>
# [7.2.0](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v7.1.19...v7.2.0) (2017-12-11)


### Bug Fixes

* prevent all playing event handlers from being detached ([e68d48f](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/e68d48f))


### Features

* keep poster during playback of media ([b9e5a1f](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/b9e5a1f))



<a name="7.1.19"></a>
## [7.1.19](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v7.1.17...v7.1.19) (2017-11-10)


### Bug Fixes

* hide offline notice when poster is available ([c71c1ea](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/c71c1ea))
* includes specified source to transpile ([95225e2](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/95225e2))



<a name="7.1.18"></a>
## [7.1.18](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v7.1.17...v7.1.18) (2017-10-24)


### Bug Fixes

* hide offline notice when poster is available ([c71c1ea](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/c71c1ea))



<a name="7.1.17"></a>
## [7.1.17](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v7.1.16...v7.1.17) (2017-10-20)



<a name="7.1.16"></a>
## [7.1.16](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v7.1.15...v7.1.16) (2017-10-18)


### Bug Fixes

* revert to old logic of tracker service ([0dee0e0](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/0dee0e0))



<a name="7.1.15"></a>
## [7.1.15](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v7.1.13...v7.1.15) (2017-10-18)


### Bug Fixes

* delete window.player reference in dispose method ([c31b7e2](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/c31b7e2))



<a name="7.1.13"></a>
## [7.1.13](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v7.1.12...v7.1.13) (2017-10-02)


### Bug Fixes

* add title of quality button ([aba2b47](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/aba2b47))
* mute when autoplay is enabled on safari ([9a31b10](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/9a31b10))
* simplify logic about mute and volume persister ([aa40e6c](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/aa40e6c))
* simplify save volume logic ([af44fe3](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/af44fe3))
* start playing based on second high quality ([eb89fc5](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/eb89fc5))



<a name="7.1.12"></a>
## [7.1.12](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v7.1.11...v7.1.12) (2017-09-27)


### Bug Fixes

* add prevent-infinite-waiting plugin ([1d91145](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/1d91145))
* prevent redundant collector url ([62797f2](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/62797f2))
* prevent stuck when waiting event happened ([9d803e1](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/9d803e1))



<a name="7.1.11"></a>
## [7.1.11](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v7.1.10...v7.1.11) (2017-09-26)


### Bug Fixes

* start timer if play event is not triggered ([93868e7](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/93868e7))



<a name="7.1.10"></a>
## [7.1.10](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v7.1.9...v7.1.10) (2017-09-20)


### Bug Fixes

* show quality button if leves are available ([2d2736a](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/2d2736a))



<a name="7.1.9"></a>
## [7.1.9](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v7.1.8...v7.1.9) (2017-09-12)


### Bug Fixes

* add dist in tracing list ([14587fb](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/14587fb))
* add tsconfig.json ([876edf5](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/876edf5))
* exclude file extension when import a file ([50ecee5](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/50ecee5))
* remove file extension in videojs loader ([b00dd7c](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/b00dd7c))
* trigger canplay event by forcing ios to load ([443570a](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/443570a))



<a name="7.1.8"></a>
## [7.1.8](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v7.1.7...v7.1.8) (2017-08-29)


### Bug Fixes

* set bound function when instantiate live handler ([de776a6](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/de776a6))



<a name="7.1.7"></a>
## [7.1.7](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v7.1.6...v7.1.7) (2017-08-23)



<a name="7.1.6"></a>
## [7.1.6](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v7.1.5...v7.1.6) (2017-08-18)


### Bug Fixes

* correct main field which jspm looks up ([82eadf1](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/82eadf1))



<a name="7.1.5"></a>
## [7.1.5](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v7.1.4...v7.1.5) (2017-08-18)


### Bug Fixes

* correct main field of package.json ([86ce642](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/86ce642))



<a name="7.1.4"></a>
## [7.1.4](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v7.1.3...v7.1.4) (2017-08-15)


### Bug Fixes

* fix live player default muted not working bug ([c4aacc7](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/c4aacc7))



<a name="7.1.3"></a>
## [7.1.3](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v7.1.2...v7.1.3) (2017-08-14)


### Bug Fixes

* if options of title plugin is false then do not init title plugin ([d505d73](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/d505d73))
* only sync to buffer end when delay happens in Flvjs tech ([bdb5845](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/bdb5845))



<a name="7.1.2"></a>
## [7.1.2](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v7.1.1...v7.1.2) (2017-08-07)


### Bug Fixes

* fix ios paid player UI bugs when autoplay, ref #106419 ([db59c75](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/db59c75)), closes [#106419](https://gitlab.corp.ikala.tv/StraaS/onlywatch/issues/106419)
* fix set default volume error after live streaming starts ([06b4618](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/06b4618))
* fix videojs-stream-statistics errors when not using hlsjs tech ([9f4ee87](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/9f4ee87))



<a name="7.1.1"></a>
## [7.1.1](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v7.1.0...v7.1.1) (2017-08-03)


### Bug Fixes

* remove unwanted console.log message ([13d3ebb](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/13d3ebb))



<a name="7.1.0"></a>
# [7.1.0](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v7.0.0...v7.1.0) (2017-08-02)


### Bug Fixes

* fix latest url pattern for player assets on gcs ([4f9c6b1](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/4f9c6b1))


### Features

* add flvjs tech ([923d05f](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/923d05f))
* add videojs flv-source-handler plugin to support flvjs player ([da99d24](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/da99d24))



<a name="7.0.0"></a>
# [7.0.0](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.21.5...v7.0.0) (2017-07-25)


### Features

* only build one kind of dist for player, no more standard/livehouse version since we can get player assets from gcs ([a06e7d0](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/a06e7d0))


### BREAKING CHANGES

* dist does not support standard or livehouse versions



<a name="6.21.5"></a>
## [6.21.5](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.21.4...v6.21.5) (2017-07-20)



<a name="6.21.4"></a>
## [6.21.4](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.21.3...v6.21.4) (2017-07-12)


### Bug Fixes

* update player level cache when set level to avoid return old level value ([69452aa](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/69452aa))



<a name="6.21.3"></a>
## [6.21.3](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.21.2...v6.21.3) (2017-07-12)


### Bug Fixes

* add private level property as cache in player to avoid ambiguity of currentLevel ([01d6eb8](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/01d6eb8))



<a name="6.21.2"></a>
## [6.21.2](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.21.1...v6.21.2) (2017-07-10)


### Bug Fixes

* player level getter/setter return null when levels are not available, and returns current level when levels are available. ([3ba8d77](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/3ba8d77))
* quality menu item use player quality switch api (was using player tech quality switch api) ([b2bede3](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/b2bede3))



<a name="6.21.1"></a>
## [6.21.1](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.21.0...v6.21.1) (2017-07-10)


### Bug Fixes

* use player.setInterval to avoid no disposal problem ([046d599](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/046d599))



<a name="6.21.0"></a>
# [6.21.0](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.20.1...v6.21.0) (2017-07-10)


### Features

* add videojs quality switch api plugin ([917d29b](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/917d29b))



<a name="6.20.1"></a>
## [6.20.1](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.20.0...v6.20.1) (2017-06-22)


### Bug Fixes

* fix mobile big pause play button UI bug in iOS ([4724740](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/4724740))



<a name="6.20.0"></a>
# [6.20.0](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.19.1...v6.20.0) (2017-06-19)


### Features

* add videojs mobile big pause play button, refs #106491 ([c4b71ba](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/c4b71ba))



<a name="6.19.1"></a>
## [6.19.1](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.19.0...v6.19.1) (2017-06-16)



<a name="6.19.0"></a>
# [6.19.0](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.18.4...v6.19.0) (2017-06-16)


### Features

* hls.js player support current live date time ([f47958d](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/f47958d))



<a name="6.18.4"></a>
## [6.18.4](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.18.3...v6.18.4) (2017-06-13)



<a name="6.18.3"></a>
## [6.18.3](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.18.2...v6.18.3) (2017-06-06)


### Bug Fixes

* only show poster when media inaccessible and control disabled ([a64cf53](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/a64cf53))



<a name="6.18.2"></a>
## [6.18.2](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.18.1...v6.18.2) (2017-05-22)


### Bug Fixes

* Catch localStorage exception if it happens ([3a12e86](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/3a12e86))



<a name="6.18.1"></a>
## [6.18.1](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.18.0...v6.18.1) (2017-05-19)


### Bug Fixes

* Enable autoplay function on Android(Chrome 53+) ([ccb42a7](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/ccb42a7))



<a name="6.18.0"></a>
# [6.18.0](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.17.2...v6.18.0) (2017-05-16)


### Features

* hide stream statistics plugin UI by default, and can be controlled by visibility control APIs ([6ddcef3](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/6ddcef3))



<a name="6.17.2"></a>
## [6.17.2](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.17.1...v6.17.2) (2017-05-12)


### Bug Fixes

* fix stream statistics plugin MIME types missing and sparkline UI problem ([c20a71a](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/c20a71a))
* hide contextmenu when media not accessible ([227943e](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/227943e))



<a name="6.17.1"></a>
## [6.17.1](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.17.0...v6.17.1) (2017-05-08)


### Bug Fixes

* if player is default muted, set mute temporarily ([82997bf](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/82997bf))
* show volume menu button for IOS to allow setting mute/unmute ([fc282e9](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/fc282e9))



<a name="6.17.0"></a>
# [6.17.0](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.16.3...v6.17.0) (2017-05-05)


### Features

* add videojs stream statistics plugin ([17ac66d](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/17ac66d))



<a name="6.16.3"></a>
## [6.16.3](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.16.2...v6.16.3) (2017-05-04)


### Bug Fixes

* Fix unstable resized result ([1384273](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/1384273))



<a name="6.16.2"></a>
## [6.16.2](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.16.1...v6.16.2) (2017-05-03)


### Bug Fixes

* fix tracking bug in live player by listening to `play` event instead of `playing` event, and update start time correctly ([746be4a](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/746be4a))



<a name="6.16.1"></a>
## [6.16.1](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.16.0...v6.16.1) (2017-05-02)


### Bug Fixes

* Resize player in iframe based on iframe's parent ([6d8d36b](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/6d8d36b))



<a name="6.16.0"></a>
# [6.16.0](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.15.1...v6.16.0) (2017-04-25)


### Bug Fixes

* fix tracker tracks wrong duration when seeking ([de25dcb](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/de25dcb))


### Features

* use phraseapp to maintain i18n keys and strings ([2989b6c](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/2989b6c))



<a name="6.15.1"></a>
## [6.15.1](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.15.0...v6.15.1) (2017-04-24)


### Bug Fixes

* Enable autoplay on iOS ([0f577c7](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/0f577c7))



<a name="6.15.0"></a>
# [6.15.0](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.14.0...v6.15.0) (2017-04-24)


### Features

* Enable autoplay function on iOS ([31e836b](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/31e836b))



<a name="6.14.0"></a>
# [6.14.0](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.13.1...v6.14.0) (2017-04-18)


### Features

* add sdkversion in tracking params ([4c3906e](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/4c3906e))



<a name="6.13.1"></a>
## [6.13.1](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.13.0...v6.13.1) (2017-04-17)


### Bug Fixes

* fix marker UI bug ([5e22d74](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/5e22d74))



<a name="6.13.0"></a>
# [6.13.0](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.12.1...v6.13.0) (2017-04-14)


### Bug Fixes

* use videojs-panorama package to solve initial level is lowest level problem ([b3596fc](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/b3596fc))


### Features

* refine hlsjs tech quality switch with it's own level switch event and use currentLevel switch strategy for vod playback. ([a5b45b7](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/a5b45b7))



<a name="6.12.1"></a>
## [6.12.1](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.12.0...v6.12.1) (2017-04-10)


### Bug Fixes

* fix live event nccu namespace check logic ([f1d47cc](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/f1d47cc))



<a name="6.12.0"></a>
# [6.12.0](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.10.14...v6.12.0) (2017-04-10)


### Features

* add live_events_nccu namespace for live handler ([c100ee0](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/c100ee0))



<a name="6.11.0"></a>
# [6.11.0](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.10.14...v6.11.0) (2017-04-10)


### Features

* add live_events_nccu namespace for live handler ([c100ee0](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/c100ee0))



<a name="6.10.14"></a>
## [6.10.14](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.10.13...v6.10.14) (2017-04-10)


### Bug Fixes

* fix live handler socket disconnect bug when dispose player ([9ef5aa0](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/9ef5aa0))



<a name="6.10.13"></a>
## [6.10.13](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.10.12...v6.10.13) (2017-03-31)


### Bug Fixes

* fix ios player playsinline bug ([8724e25](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/8724e25))



<a name="6.10.12"></a>
## [6.10.12](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.10.11...v6.10.12) (2017-03-30)


### Bug Fixes

* fix panorama video no poster when not started yet bug ([d4eac15](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/d4eac15))
* remove outdated config and fix typo ([8a97231](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/8a97231))



<a name="6.10.11"></a>
## [6.10.11](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.10.10...v6.10.11) (2017-03-29)


### Bug Fixes

* avoid showing spinning when source src is not provided (happens in paid media) ([0a08930](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/0a08930))
* remove panorama loader workaround since it works fine without it now ([e5b41f2](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/e5b41f2))



<a name="6.10.10"></a>
## [6.10.10](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.10.9...v6.10.10) (2017-03-28)


### Bug Fixes

* fix dispose problem of hlsjs tech when Hls was not yet init ([d87325b](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/d87325b))



<a name="6.10.9"></a>
## [6.10.9](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.10.8...v6.10.9) (2017-03-28)


### Bug Fixes

* avoid error when video source src is not set at the beginning (playlist player) ([927f6b8](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/927f6b8))



<a name="6.10.8"></a>
## [6.10.8](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.10.7...v6.10.8) (2017-03-28)


### Bug Fixes

* do not show spinning when live is ended or terminated ([0c0c31a](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/0c0c31a))



<a name="6.10.7"></a>
## [6.10.7](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.10.6...v6.10.7) (2017-03-27)


### Bug Fixes

* fix ios web player bugs ([b4af7ad](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/b4af7ad))
* resize player when orientationchange was triggered ([046c171](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/046c171))



<a name="6.10.6"></a>
## [6.10.6](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.10.5...v6.10.6) (2017-03-27)



<a name="6.10.5"></a>
## [6.10.5](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.10.4...v6.10.5) (2017-03-26)


### Bug Fixes

* fix missing spinning element ([4b76f83](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/4b76f83))



<a name="6.10.4"></a>
## [6.10.4](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.10.3...v6.10.4) (2017-03-26)



<a name="6.10.3"></a>
## [6.10.3](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.10.2...v6.10.3) (2017-03-26)


### Bug Fixes

* set preload setting to correct value when player goes live ([b627afa](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/b627afa))



<a name="6.10.2"></a>
## [6.10.2](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.10.1...v6.10.2) (2017-03-24)


### Bug Fixes

* set preload to 'auto' when autoplay is true, and fix hls.js not loading bug ([416430b](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/416430b))



<a name="6.10.1"></a>
## [6.10.1](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.10.0...v6.10.1) (2017-03-24)


### Bug Fixes

* typo, and null check ([644d1a2](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/644d1a2))



<a name="6.10.0"></a>
# [6.10.0](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.9.0...v6.10.0) (2017-03-24)


### Features

* broadcast an event which is live-event-ended ([05029f3](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/05029f3))
* The back-end server will able to determine CCU. ([7c4e73a](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/7c4e73a))



<a name="6.9.0"></a>
# [6.9.0](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.8.0...v6.9.0) (2017-02-20)


### Features

* if initial count number is 0, use ... instead to show that the number is still not loaded ([638b9ed](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/638b9ed))



<a name="6.8.0"></a>
# [6.8.0](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.7.0...v6.8.0) (2017-02-17)


### Bug Fixes

* update page view event due to backend update ([b97d2b1](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/b97d2b1))


### Features

* add viewsCount and usersCount to player properties when views-and-users-count plugin is used ([63c530b](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/63c530b))



<a name="6.7.0"></a>
# [6.7.0](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.6.1...v6.7.0) (2017-02-16)


### Bug Fixes

* fix videojs-resize plugin bug when tech has no element ([f356a0e](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/f356a0e))


### Features

* add videojs-socket-io-service plugin ([478f764](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/478f764))
* update videojs-sync-live-status and videojs-views-and-users-count to update live ccu and pageview by socket events ([fa73c5e](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/fa73c5e))



<a name="6.6.1"></a>
## [6.6.1](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.6.0...v6.6.1) (2017-02-16)


### Bug Fixes

* only initialize objectFitVideos once ([6f66141](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/6f66141))



<a name="6.6.0"></a>
# [6.6.0](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.5.0...v6.6.0) (2017-02-13)


### Features

* use object-fit-videojs for fallback in Edge ([ff804db](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/ff804db))



<a name="6.5.0"></a>
# [6.5.0](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.4.0...v6.5.0) (2017-02-10)


### Features

* allow set object fit in query string ([b838de4](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/b838de4))



<a name="6.4.0"></a>
# [6.4.0](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.3.1...v6.4.0) (2017-02-10)


### Features

* add objectFit options in resize plugin ([d12aabb](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/d12aabb))



<a name="6.3.1"></a>
## [6.3.1](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.3.0...v6.3.1) (2017-01-20)


### Bug Fixes

* fix controlbar layout ([2c315f8](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/2c315f8))



<a name="6.3.0"></a>
# [6.3.0](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.2.1...v6.3.0) (2017-01-20)


### Features

* show current time and duration instead of remaining time for vod and add keepToolTipInside for profressControl ([8e3c6d3](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/8e3c6d3))



<a name="6.2.1"></a>
## [6.2.1](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.2.0...v6.2.1) (2017-01-19)



<a name="6.2.0"></a>
# [6.2.0](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.1.5...v6.2.0) (2017-01-19)


### Features

* do not show errorDisplay to avoid showing error when no source is provided ([c01f788](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/c01f788))



<a name="6.1.5"></a>
## [6.1.5](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.1.4...v6.1.5) (2017-01-19)


### Bug Fixes

* hide live progress bar ([5c5d881](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/5c5d881))
* hide live progress bar ([b719b40](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/b719b40))



<a name="6.1.4"></a>
## [6.1.4](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.1.3...v6.1.4) (2017-01-11)


### Bug Fixes

* show mobile control bar ([6a9d214](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/6a9d214))



<a name="6.1.3"></a>
## [6.1.3](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.1.2...v6.1.3) (2017-01-10)


### Bug Fixes

* allow edge to see 360 player, it was blocked by false browser detection ([732e259](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/732e259))



<a name="6.1.2"></a>
## [6.1.2](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.1.1...v6.1.2) (2017-01-09)


### Bug Fixes

* add class for straas skin ([57836e4](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/57836e4))



<a name="6.1.1"></a>
## [6.1.1](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.1.0...v6.1.1) (2017-01-06)



<a name="6.1.0"></a>
# [6.1.0](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v6.0.0...v6.1.0) (2017-01-06)


### Features

* **viewsAndUsersCount:** add interface options.threshold ([40e396b](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/40e396b))



<a name="6.0.0"></a>
# [6.0.0](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v5.3.1...v6.0.0) (2017-01-05)


### Bug Fixes

* remove quatos from css image url to avoid error ([fbd810a](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/fbd810a))


### build

* build two version of dists for standard usage and livehouse usage ([df0a94c](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/df0a94c))


### BREAKING CHANGES

* build two version of dists for standard usage and livehouse usage



<a name="5.3.1"></a>
## [5.3.1](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v5.3.0...v5.3.1) (2017-01-05)


### Bug Fixes

* hide 360 vr button and ios original control bar and quality button rotate unusual ([25a046b](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/25a046b))



<a name="5.3.0"></a>
# [5.3.0](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v5.2.2...v5.3.0) (2016-12-21)


### Features

* show reserved start time when preordered in media access handler ([3f6f410](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/3f6f410))



<a name="5.2.2"></a>
## [5.2.2](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v5.2.1...v5.2.2) (2016-12-20)



<a name="5.2.1"></a>
## [5.2.1](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v5.2.0...v5.2.1) (2016-12-20)


### Bug Fixes

* disable panorama plugin in safari to avoid security error ([e54540b](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/e54540b))



<a name="5.2.0"></a>
# [5.2.0](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v5.1.1...v5.2.0) (2016-12-20)


### Features

* do not play ad when playlist item does not have source to play ([773fc67](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/773fc67))
* update media access handler plugin to read accessible from each media item when playing a playlist ([a8b8086](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/a8b8086))



<a name="5.1.1"></a>
## [5.1.1](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v5.1.0...v5.1.1) (2016-12-12)


### Bug Fixes

* update hls.js config and avoid addSourceBuffer error ([13703e5](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/13703e5))



<a name="5.1.0"></a>
# [5.1.0](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v5.0.5...v5.1.0) (2016-12-07)


### Bug Fixes

* fix edge and safari showing player error when src is empty ([1cb7f4f](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/1cb7f4f))
* reduce playlist menu width for mobile view ([76aaf9f](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/76aaf9f))


### Features

* only show thumbnails of playlist menu when player width is smaller than 640px ([333a17d](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/333a17d))



<a name="5.0.5"></a>
## [5.0.5](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v5.0.4...v5.0.5) (2016-12-02)


### Bug Fixes

* cta card disappear when control bar slide down ([063f191](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/063f191))



<a name="5.0.4"></a>
## [5.0.4](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v5.0.3...v5.0.4) (2016-12-01)


### Bug Fixes

* fix panorama loader bug in playlist when the first item is a 360 video ([d5f661b](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/d5f661b))



<a name="5.0.3"></a>
## [5.0.3](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v5.0.2...v5.0.3) (2016-11-25)


### Bug Fixes

* use default level capping to avoid level switch bugs in hlsjs tech ([d8b8e50](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/d8b8e50))



<a name="5.0.2"></a>
## [5.0.2](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v5.0.1...v5.0.2) (2016-11-24)



<a name="5.0.1"></a>
## [5.0.1](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v5.0.0...v5.0.1) (2016-11-22)


### Bug Fixes

* fix when showing 360 notice, cannot drag and drop player ([f50e942](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/f50e942))



<a name="5.0.0"></a>
# [5.0.0](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v4.0.7...v5.0.0) (2016-11-22)


### Features

* add socket.io-client, so no need to include socket.io.js anymore ([1720ff6](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/1720ff6))


### BREAKING CHANGES

* add socket.io-client



<a name="4.0.8"></a>
## [4.0.8](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v4.0.7...v4.0.8) (2016-11-22)



<a name="4.0.7"></a>
## [4.0.7](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v4.0.6...v4.0.7) (2016-11-22)


### Bug Fixes

* remove player scrollbar and fix volume position ([5187d33](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/5187d33))



<a name="4.0.6"></a>
## [4.0.6](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v4.0.5...v4.0.6) (2016-11-18)



<a name="4.0.5"></a>
## [4.0.5](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v4.0.4...v4.0.5) (2016-11-18)



<a name="4.0.4"></a>
## [4.0.4](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v4.0.3...v4.0.4) (2016-11-16)



<a name="4.0.3"></a>
## [4.0.3](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v4.0.2...v4.0.3) (2016-11-15)



<a name="4.0.2"></a>
## [4.0.2](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v4.0.1...v4.0.2) (2016-11-15)


### Bug Fixes

* player css modify for unnecessary scrollbar and fix ie problem ([aa65b6b](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/aa65b6b))



<a name="4.0.1"></a>
## [4.0.1](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v4.0.0...v4.0.1) (2016-11-14)


### Bug Fixes

* seems AMD problem with Error: Multiple anonymous defines. ([c933d5b](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/c933d5b))



<a name="4.0.0"></a>
# [4.0.0](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v3.0.0...v4.0.0) (2016-11-14)


### Bug Fixes

* include polyfill in webpack entry ([e820d04](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/e820d04))


### Features

* **progress-bar:** the bar now always 100% of player width (was dynamic) ([f36c7a4](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/f36c7a4))
* add vjs-has-playlist-menu class to player when showing playlist menu ([b802aab](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/b802aab))
* **progress-bar:** update marker height due to progress bar style ([db4e825](https://gitlab.corp.ikala.tv/StraaS/onlywatch/commit/db4e825))


### BREAKING CHANGES

* progress-bar: Progress bar now always 100% of player width (was dynamic)

refs #104394



<a name="3.0.1"></a>
## [3.0.1](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v3.0.0...v3.0.1) (2016-11-09)



<a name="3.0.0"></a>
## [3.0.0](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v1.1.0...v3.0.0) (2016-10-28)

### Changed

- Disable auto create player

- Update player logo and live icon css

- Fix eslint errors in tech selector


<a name="1.0.12"></a>
## [1.0.12](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v1.0.11...v1.0.12) (2016-10-19)



<a name="1.0.11"></a>
## [1.0.11](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v1.0.10...v1.0.11) (2016-10-18)



<a name="1.0.10"></a>
## [1.0.10](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v1.0.9...v1.0.10) (2016-10-17)



<a name="1.0.9"></a>
## [1.0.9](https://gitlab.corp.ikala.tv/StraaS/onlywatch/compare/v1.0.8...v1.0.9) (2016-10-12)



<a name="1.0.8"></a>
## 1.0.8 (2016-10-04)
